Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
pulp-worker_1 | pulp: rq.worker:ERROR: ValueError: URL: /api/automation-hub/v3/collections/autohubtest2/collection_dep_a_jbkboxzc/versions/ not supported.
pulp-worker_1 | Traceback (most recent call last):
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/pulpcore/download/factory.py", line 137, in build
pulp-worker_1 | builder = self._handler_map[scheme]
pulp-worker_1 | KeyError: ''
pulp-worker_1 |
pulp-worker_1 | During handling of the above exception, another exception occurred:
pulp-worker_1 |
pulp-worker_1 | Traceback (most recent call last):
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/rq/worker.py", line 884, in perform_job
pulp-worker_1 | rv = job.perform()
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/rq/job.py", line 664, in perform
pulp-worker_1 | self._result = self._execute()
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/rq/job.py", line 670, in _execute
pulp-worker_1 | return self.func(*self.args, **self.kwargs)
pulp-worker_1 | File "/code/pulp_ansible/pulp_ansible/app/tasks/collections.py", line 80, in sync
pulp-worker_1 | d_version.create()
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/pulpcore/plugin/stages/declarative_version.py", line 149, in create
pulp-worker_1 | loop.run_until_complete(pipeline)
pulp-worker_1 | File "/opt/rh/rh-python36/root/usr/lib64/python3.6/asyncio/base_events.py", line 484, in run_until_complete
pulp-worker_1 | return future.result()
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 228, in create_pipeline
pulp-worker_1 | await asyncio.gather(*futures)
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 43, in __call__
pulp-worker_1 | await self.run()
pulp-worker_1 | File "/code/pulp_ansible/pulp_ansible/app/tasks/collections.py", line 274, in run
pulp-worker_1 | async for metadata in self._fetch_collections():
pulp-worker_1 | File "/code/pulp_ansible/pulp_ansible/app/tasks/collections.py", line 351, in _fetch_collections
pulp-worker_1 | [remote.get_downloader(url=result["versions_url"]).run()]
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/pulpcore/app/models/repository.py", line 288, in get_downloader
pulp-worker_1 | return self.download_factory.build(url, **kwargs)
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/pulpcore/download/factory.py", line 140, in build
pulp-worker_1 | raise ValueError(_('URL: {u} not supported.'.format(u=url)))
pulp-worker_1 | ValueError: URL: /api/automation-hub/v3/collections/autohubtest2/collection_dep_a_jbkboxzc/versions/ not supported.
pulp-worker_1 | Traceback (most recent call last):
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/pulpcore/download/factory.py", line 137, in build
pulp-worker_1 | builder = self._handler_map[scheme]
pulp-worker_1 | KeyError: ''
pulp-worker_1 |
pulp-worker_1 | During handling of the above exception, another exception occurred:
pulp-worker_1 |
pulp-worker_1 | Traceback (most recent call last):
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/rq/worker.py", line 884, in perform_job
pulp-worker_1 | rv = job.perform()
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/rq/job.py", line 664, in perform
pulp-worker_1 | self._result = self._execute()
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/rq/job.py", line 670, in _execute
pulp-worker_1 | return self.func(*self.args, **self.kwargs)
pulp-worker_1 | File "/code/pulp_ansible/pulp_ansible/app/tasks/collections.py", line 80, in sync
pulp-worker_1 | d_version.create()
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/pulpcore/plugin/stages/declarative_version.py", line 149, in create
pulp-worker_1 | loop.run_until_complete(pipeline)
pulp-worker_1 | File "/opt/rh/rh-python36/root/usr/lib64/python3.6/asyncio/base_events.py", line 484, in run_until_complete
pulp-worker_1 | return future.result()
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 228, in create_pipeline
pulp-worker_1 | await asyncio.gather(*futures)
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 43, in __call__
pulp-worker_1 | await self.run()
pulp-worker_1 | File "/code/pulp_ansible/pulp_ansible/app/tasks/collections.py", line 274, in run
pulp-worker_1 | async for metadata in self._fetch_collections():
pulp-worker_1 | File "/code/pulp_ansible/pulp_ansible/app/tasks/collections.py", line 351, in _fetch_collections
pulp-worker_1 | [remote.get_downloader(url=result["versions_url"]).run()]
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/pulpcore/app/models/repository.py", line 288, in get_downloader
pulp-worker_1 | return self.download_factory.build(url, **kwargs)
pulp-worker_1 | File "/venv/lib64/python3.6/site-packages/pulpcore/download/factory.py", line 140, in build
pulp-worker_1 | raise ValueError(_('URL: {u} not supported.'.format(u=url)))
pulp-worker_1 | ValueError: URL: /api/automation-hub/v3/collections/autohubtest2/collection_dep_a_jbkboxzc/versions/ not supported.
[newswoop:F31:~]$ http $BASE_ADDR/pulp/api/v3/remotes/ansible/collection/7fc312d0-f1be-4ba8-8ab4-92aab116b7aa/
{
"ca_cert": "d770937c97e5e0db5a13da580c8b0724989533f4d8059e115c65683835f44ee5",
"client_cert": null,
"client_key": null,
"download_concurrency": 20,
"name": "foo_autohub_ci",
"policy": "immediate",
"proxy_url": null,
"pulp_created": "2020-02-07T19:45:36.368523Z",
"pulp_href": "/pulp/api/v3/remotes/ansible/collection/7fc312d0-f1be-4ba8-8ab4-92aab116b7aa/",
"pulp_last_updated": "2020-02-07T20:19:24.809125Z",
"requirements_file": null,
"tls_validation": true,
"url": "https://ci.cloud.redhat.com/api/automation-hub/v3/collections/autohubtest2/collection_dep_a_jbkboxzc"
}
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment